> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harmonyforstaffing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new user

Create a new user in the system.

### Body Parameters

<ParamField body="firstName" type="string" required>
  First name
</ParamField>

<ParamField body="lastName" type="string" required>
  Last name
</ParamField>

<ParamField body="email" type="string" required>
  Email address
</ParamField>

<ParamField body="phone" type="string">
  Phone number
</ParamField>

<ParamField body="isActive" type="boolean">
  Whether the user is active
</ParamField>

### Response

<ResponseField name="id" type="integer">
  The ID of the created user
</ResponseField>

<ResponseField name="role" type="object">
  Role information

  <Expandable title="Role fields">
    <ResponseField name="id" type="integer">
      Role ID
    </ResponseField>

    <ResponseField name="name" type="string">
      Role name
    </ResponseField>

    <ResponseField name="description" type="string">
      Role description
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="dateAdded" type="integer">
  Unix timestamp when the user was added
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl --request POST \
    --url https://api.harmonyforstaffing.com/api/users \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "firstName": "Jane",
      "lastName": "Smith",
      "email": "jane.smith@example.com",
      "phone": "+1-555-555-5555",
      "isActive": true
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": 123,
    "firstName": "Jane",
    "lastName": "Smith",
    "email": "jane.smith@example.com",
    "phone": "+1-555-555-5555",
    "isActive": true,
    "dateAdded": 1679253000
  }
  ```
</ResponseExample>
